The Button is a graphical user interface element that triggers an event on its click action. It can contain a text, an image, or both.
<button id="button">Button</button>
<script>
var btnObj = new Button();
btnObj.appendTo("#button");
</script>
string
Defines the text content
of the Button element.
<button id="primarybtn"></button>
import { Button } from '@syncfusion/ej2-buttons';
let button: Button = new Button({content: 'JasButton'});
button.appendTo('#normalbtn');
Defaults to ""
string
Defines class/multiple classes separated by a space in the Button element. The Button types, styles, and
size can be defined by using
this
.
<button id="flatbtn">Flat</button>
import { Button } from '@syncfusion/ej2-buttons';
let button = new Button({ cssClass: 'e-flat e-primary' });
button.appendTo('#flatbtn');
Defaults to ""
boolean
Specifies a value that indicates whether the Button is disabled
or not.
Defaults to false.
boolean
Defines whether to allow the cross-scripting site or not.
Defaults to false
boolean
Enable or disable persisting component’s state between page reloads.
Defaults to false
boolean
Enable or disable rendering component in right to left direction.
Defaults to false
string
Defines class/multiple classes separated by a space for the Button that is used to include an icon. Buttons can also include font icon and sprite image.
Defaults to ""
string
| IconPosition
Positions the icon before/after the text content in the Button. The possible values are:
Defaults to IconPosition.Left
boolean
Allows the appearance of the Button to be enhanced and visually appealing when set to true
.
Defaults to false
boolean
Makes the Button toggle, when set to true
. When you click it, the state changes from normal to active.
Defaults to false
Adds the handler to the given event listener.
Parameter | Type | Description |
---|---|---|
eventName | string |
A String that specifies the name of the event |
handler | Function |
Specifies the call to run when the event occurs. |
Returns void
Appends the control within the given HTML element
Parameter | Type | Description |
---|---|---|
selector (optional) | string | HTMLElement |
Target element where control needs to be appended |
Returns void
Adding unload event to persist data when enable persistence true
Returns any
Click the button element its native method
Returns void
When invoked, applies the pending property changes immediately to the component.
Returns void
Destroys the widget.
Returns void
Removing unload event to persist data when enable persistence true
Returns any
Sets the focus to Button its native method
Returns void
Returns the persistence data for component
Returns any
Returns the route element of the component
Returns HTMLElement
Handling unload event to persist data when enable persistence true
Returns any
Applies all the pending property changes and render the component again.
Returns void
Removes the handler from the given event listener.
Parameter | Type | Description |
---|---|---|
eventName | string |
A String that specifies the name of the event to remove |
handler | Function |
Specifies the function to remove |
Returns void
EmitType<Event>
Triggers once the component rendering is completed.

Search results

ButtonComponent

Represents the Essential JS 2 VueJS Button Component

<ejs-button>Button</ejs-button>

Properties

content

string

Defines the text content of the Button element.

    <template>
        <ejs-button :isPrimary="true" :content="content"></ejs-button>
    <template>
    <style>

    </style>
    <script>
    import Vue from "vue";
    import { ButtonPlugin } from "@syncfusion/ej2-vue-buttons";

    Vue.use(ButtonPlugin);

    export default Vue.extend({
        data: function(){
            return{
                content: 'Primary'
            }
        }
        methods: { }
    }});
</script>

Defaults to ""

cssClass

string

Defines class/multiple classes separated by a space in the Button element. The Button types, styles, and size can be defined by using this.

    <template>
        <ejs-button :cssClass="cssClass_flat" :content="content">Primary</ejs-button>
    <template>
    <style>

    </style>
    <script>
    import Vue from "vue";
    import { ButtonPlugin } from "@syncfusion/ej2-vue-buttons";

    Vue.use(ButtonPlugin);

    export default Vue.extend({
        data: function(){
            return{
                cssClass_flat: 'e-flat'
            }
        }
        methods: { }
    }});
</script>

Defaults to ""

disabled

boolean

Specifies a value that indicates whether the Button is disabled or not.

Defaults to false.

enableHtmlSanitizer

boolean

Specifies whether to enable the rendering of untrusted HTML values in the Button component. If ‘enableHtmlSanitizer’ set to true, the component will sanitize any suspected untrusted strings and scripts before rendering them.

Defaults to true

enablePersistence

boolean

Enable or disable persisting component’s state between page reloads.

Defaults to false

enableRtl

boolean

Enable or disable rendering component in right to left direction.

Defaults to false

iconCss

string

Defines class/multiple classes separated by a space for the Button that is used to include an icon. Buttons can also include font icon and sprite image.

Defaults to ""

iconPosition

string | IconPosition

Positions the icon before/after the text content in the Button. The possible values are:

  • Left: The icon will be positioned to the left of the text content.
  • Right: The icon will be positioned to the right of the text content.

Defaults to IconPosition.Left

isPrimary

boolean

Allows the appearance of the Button to be enhanced and visually appealing when set to true.

Defaults to false

isToggle

boolean

Makes the Button toggle, when set to true. When you click it, the state changes from normal to active.

Defaults to false

Methods

click

Click the button element its native method

Returns void

destroy

Destroys the widget.

Returns void

focusIn

Sets the focus to Button its native method

Returns void

Events

created

EmitType<Event>

Triggers once the component rendering is completed.

Search results

ButtonComponent

ButtonComponent represents the react Button Component.

<ButtonComponent></ButtonComponent>

Properties

content

string

Defines the text content of the Button element.

    import { render } from "react-dom";
    import "./index.css";
    import * as React from "react";
    import { ButtonComponent } from "@syncfusion/ej2-react-buttons";
    import { SampleBase } from "./sample-base";

    export class Default extends SampleBase {
        content = "Normal";
  
        render() {
            return (
            <ButtonComponent cssClass="e-primary" content={this.content}></ButtonComponent>
        );}
    }

    render(<Default />, document.getElementById("sample"));

Defaults to ""

cssClass

string

Defines class/multiple classes separated by a space in the Button element. The Button types, styles, and size can be defined by using this.

    import { render } from "react-dom";
    import "./index.css";
    import * as React from "react";
    import { ButtonComponent } from "@syncfusion/ej2-react-buttons";
    import { SampleBase } from "./sample-base";

    export class Default extends SampleBase {
        primary_class = "e-primary";
  
        render() {
            return (
            <ButtonComponent cssClass={this.primary_class} content="Normal"></ButtonComponent>
        );}
    }

    render(<Default />, document.getElementById("sample"));

Defaults to ""

disabled

boolean

Specifies a value that indicates whether the Button is disabled or not.

Defaults to false.

enableHtmlSanitizer

boolean

Specifies whether to enable the rendering of untrusted HTML values in the Button component. If ‘enableHtmlSanitizer’ set to true, the component will sanitize any suspected untrusted strings and scripts before rendering them.

Defaults to true

enablePersistence

boolean

Enable or disable persisting component’s state between page reloads.

Defaults to false

enableRtl

boolean

Enable or disable rendering component in right to left direction.

Defaults to false

iconCss

string

Defines class/multiple classes separated by a space for the Button that is used to include an icon. Buttons can also include font icon and sprite image.

Defaults to ""

iconPosition

string | IconPosition

Positions the icon before/after the text content in the Button. The possible values are:

  • Left: The icon will be positioned to the left of the text content.
  • Right: The icon will be positioned to the right of the text content.

Defaults to IconPosition.Left

isPrimary

boolean

Allows the appearance of the Button to be enhanced and visually appealing when set to true.

Defaults to false

isToggle

boolean

Makes the Button toggle, when set to true. When you click it, the state changes from normal to active.

Defaults to false

Methods

click

Click the button element its native method

Returns void

destroy

Destroys the widget.

Returns void

focusIn

Sets the focus to Button its native method

Returns void

Events

created

EmitType<Event>

Triggers once the component rendering is completed.

Search results

ButtonComponent

Represents the Angular Button Component.

<button ejs-button>Button</button>

Properties

content

string

Defines the text content of the Button element.

    <button ejs-button [content]="content_normal">Normal</button>
import { Component, ViewEncapsulation } from "@angular/core";
import { ButtonComponent } from "@syncfusion/ej2-angular-buttons";
/**
 * Default Button Controller
 */
@Component({
  selector: "app-root",
  templateUrl: "app.component.html",
  styleUrls: ["app.component.css"],
  encapsulation: ViewEncapsulation.None
})
export class AppComponent {
  public content_normal = "Normal";

  constructor() {}
}

Defaults to ""

cssClass

string

Defines class/multiple classes separated by a space in the Button element. The Button types, styles, and size can be defined by using this.

    <button ejs-button [cssClass]="flat_class" isPrimary="true">Flat</button>
    import { Component, ViewEncapsulation } from "@angular/core";
    import { ButtonComponent } from "@syncfusion/ej2-angular-buttons";
    /**
    * Default Button Controller
    */
    @Component({
        selector: "app-root",
        templateUrl: "app.component.html",
        styleUrls: ["app.component.css"],
        encapsulation: ViewEncapsulation.None
    })
    export class AppComponent {
    public flat_class = "e-flat";

    constructor() {}
    }

Defaults to ""

disabled

boolean

Specifies a value that indicates whether the Button is disabled or not.

Defaults to false.

enableHtmlSanitizer

boolean

Specifies whether to enable the rendering of untrusted HTML values in the Button component. If ‘enableHtmlSanitizer’ set to true, the component will sanitize any suspected untrusted strings and scripts before rendering them.

Defaults to true

enablePersistence

boolean

Enable or disable persisting component’s state between page reloads.

Defaults to false

enableRtl

boolean

Enable or disable rendering component in right to left direction.

Defaults to false

iconCss

string

Defines class/multiple classes separated by a space for the Button that is used to include an icon. Buttons can also include font icon and sprite image.

Defaults to ""

iconPosition

string | IconPosition

Positions the icon before/after the text content in the Button. The possible values are:

  • Left: The icon will be positioned to the left of the text content.
  • Right: The icon will be positioned to the right of the text content.

Defaults to IconPosition.Left

isPrimary

boolean

Allows the appearance of the Button to be enhanced and visually appealing when set to true.

Defaults to false

isToggle

boolean

Makes the Button toggle, when set to true. When you click it, the state changes from normal to active.

Defaults to false

Methods

click

Click the button element its native method

Returns void

destroy

Destroys the widget.

Returns void

focusIn

Sets the focus to Button its native method

Returns void

Events

created

EmitType<Event>

Triggers once the component rendering is completed.